/* ------------------------------------------------------------ *\
                       Desktop Orientation
\* ------------------------------------------------------------ */
/* .jBox-wrapper {
    max-width: calc(100% - 100px);
}
.jBox-container{
    margin: 0 auto;
} */
/* .jBox-wrapper {
    left: 50px!important;
    right: 50px!important;
    margin-left: 50px!important;
    margin-right: 50px!important;
} */
body.login_page .navbar-default .navbar-toggle .icon-bar{
    background-color:#fff!important;
}
body.login_page .navbar-default .navbar-toggle:focus,
body.login_page .navbar-default .navbar-toggle:hover{
    background-color: unset!important;
}

/* ------------------------------------------------------------ *\
                       Tablet Orientation
\* ------------------------------------------------------------ */
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
    #poMobileDrps{
        margin-top:20px;
    }
    .container-login{
        margin-top: 0px;
    }
    .daterange{
        width:100%!important;
    }
    .jBox-wrapper {
        max-width: calc(100% - 50px);
        margin-top: 0px!important;
        top: 20px!important;
        bottom: 20px!important;
        margin-left: 0px!important;
        left: 25px!important;
        right:25px!important;
    }
    .jBox-container{
        max-height: calc(100vh - 30px)!important;
        margin: 0 auto!important;
    }
    body.landing_bg .main-div .abso-logo{
        z-index: -1;
    }
    body.login_page .navbar-default .navbar-nav .open .dropdown-menu>li>a{
        color:#000!important;
    }
    .navbar-nav>li>.dropdown-menu{
        left: 0!important;
        max-width: 160px;
    }
    body.landing_bg{
        background-size:auto;
    }
    body.login_page .navbar-toggle{
        display: none!important;
    }
    .landing-wd{
        width:100%!important;
    }
    .table-wrapper table,.jBox-container table{
        min-width: 100vh;
        /* min-width: 1100px;
        overflow: auto; */
    }
    #tabPODetailLines table{
        min-width: 1150px!important;
    }
    .panel-mobile{
        min-width: max-content;
    }
    .jBox-content{
        width:100%!important;
        height:auto!important;
        max-height: calc(100vh - 90px);
        min-height:auto!important;
        overflow-y: auto;
    }
    
    .vmiFilters .col-md-7,.vmiFilters .col-md-2{
        padding-left: 15px!important;
        padding-right: 15px!important;
        margin-bottom: 5px!important;
    }
    #topTabs{
        max-width: calc(100% - 10px);
        width: calc(100% - 10px)!important;
    }
    #topTabs .topBlock.warehouseSelectBtn.col-xs-4{
        padding-left: 10px!important;
        padding-right: 10px!important;
        width: 33.3%!important;
        clear: unset;
        float: right!important;
    }
    .row.actName{
        margin-top:30px;
    }
    .inventoryReport .col-sm-3,
    .inventoryReport .col-sm-2{
        width:33.3%!important;
    }
    .inventoryReport .row.totalRow .col-sm-6{
        margin-top:unset!important;
    }
    
}

/* ------------------------------------------------------------ *\
                       Mobile Orientation Portrait
\* ------------------------------------------------------------ */
/* Portrait Straight*/
@media only screen and (max-width: 768px) and (orientation: portrait) {
    .processingIndicator{
        z-index: 9999;
        background: rgba(255,255,255,.5);
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        text-align: center;
    }
    #omniSearchForm .sb_dropdown{
        margin-left: 10px;
        display: block;
        max-width: calc(100% - 20px);
        margin-right: 10px;
    }
    #omniSearchForm .sb_input{
        margin-left: 10px;
        max-width: 75%;
    }
    .processingIndicator img{
        margin-top:100px;
    }
    .jBox-wrapper {
        max-width: calc(100% - 20px);
        margin-top: 0px!important;
        top: 20px!important;
        bottom: 20px!important;
        margin-left: 0px!important;
        left: 10px!important;
        right:10px!important;
    }
    .btn-mobile{
        margin-bottom: 10px;
    }
    .jBox-container{
        max-height: calc(100vh - 30px)!important;
        margin: 0 auto!important;
    }
    .table-wrapper table,.jBox-container table{
        min-width: 100vh;
        /* min-width: 1100px;
        overflow: auto; */
    }
    #tabPODetailLines table{
        min-width: 1150px!important;
    }
    .panel-mobile{
        min-width: max-content;
    }
    .main-div.landing_bg .mBox_new{
        margin-right:10px;
        min-height: 75px;
        min-width: 75px;
        max-width: 75px;
    }
    body.login_page .navbar-default .navbar-nav .open .dropdown-menu>li>a{
        color:#fff!important;
    }
    body.landing_bg .main-div .abso-logo{
        z-index: -1;
    }
    body.landing_bg{
        background-size:auto;
    }
    body.login_page .navbar-toggle{
        display: none!important;
    }
    .landing_bg .sales{
        clear: both;
    }
    .landing-wd{
        width:100%!important;
    }
    .jBox-content{
        width:100%!important;
        height:auto!important;
        min-height:auto!important;
        max-height: calc(100vh - 90px);
        overflow-y: auto;
    }
    
    #topTabs{
        max-width: calc(100% - 10px);
        width: calc(100% - 10px)!important;
    }
    #topTabs .col-xs-4, #topTabs .col-xs-3{
        width:50%!important;
    }
    #topTabs .topBlock.warehouseSelectBtn.col-xs-4{
        padding-left: 10px!important;
        padding-right: 10px!important;
        width: 100%;
        clear: both;
        float: left!important;
    }
    .row.actName{
        margin-top:75px;
    }
    .qtySize{
        width:100%!important;
    }
    .inventoryReport .toprow{
        width:100%;
    }
    .inventoryReport .col-sm-3,.inventoryReport .col-sm-2{
        width:100%!important;
    }
    .inventoryReport .row.totalRow{
        margin-top:25px;
    }
    .topRowvmi{
        margin-bottom: 40px;
    }
    .vmiFilters .col-md-7,.vmiFilters .col-md-2{
        padding-left: 15px!important;
        padding-right: 15px!important;
        margin-bottom: 5px!important;
    }
    .statValue{
        font-size: 2em;
    }

    .pullBtn, .returnBtn{
        padding:20px 10px 0 0;
    }
    .related-so{
        display: block;
    }
    .related-so .btn-manual{
        margin-left:0px!important;
        margin-top:7px;
    }
    #po_title_controls{
        width:100%;
    }
    #po_title_controls #assigneeDrp,
    #po_title_controls #poStatusDrp{
        margin:0px!important;
        float: left;
    }
    #POInquiryDialogMobile{
        min-width: auto!important;
    }
    table.mobile-view-po{
        min-width: unset!important;
    }
    table.mobile-view-po,table.mobile-view-po thead,table.mobile-view-po tbody,table.mobile-view-po th,
    table.mobile-view-po td,table.mobile-view-po tr { 
		display: block; 
	}
	
	
	table.mobile-view-po thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.mobile-view-po tr { border: 1px solid #ccc; }
    
	table.mobile-view-po td { 
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
        padding-left: 50%; 
        text-align: right;
        
	}
	
	table.mobile-view-po td:before { 
		position: absolute;
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
        white-space: nowrap;
        text-align: left;
    }
    table.mobile-view-po tr.empty td:nth-of-type(1):before,
    table.mobile-view-po tr.loader td:nth-of-type(1):before { content: ""!important; }
    table.mobile-view-po tr.empty td,table.mobile-view-po tr.loader td{text-align: center;}
    

    table.mobile-view-po tr.total td:nth-of-type(1){display: none;}
    table.mobile-view-po tr.total td:nth-of-type(1):before { content: ""!important; }
    table.mobile-view-po tr.total td:nth-of-type(2):before { content: "Total"!important; }

    table#tblPoDetails td:nth-of-type(1):before { content: "Line"; }
    table#tblPoDetails td:nth-of-type(2):before { content: "Order"; }
    table#tblPoDetails td:nth-of-type(3):before { content: "Shipped"; }
    table#tblPoDetails td:nth-of-type(4):before { content: "B/O"; }
    table#tblPoDetails td:nth-of-type(5):before { content: "Product"; }
    table#tblPoDetails td:nth-of-type(6):before { content: "Vendor Part"; }
    table#tblPoDetails td:nth-of-type(7):before { content: "Description"; }
    table#tblPoDetails td:nth-of-type(8):before { content: "Cost"; }

    table#tblPoDetails td:nth-of-type(7){display:none;}

    table#tblRelatedPurchaseRequests td:nth-of-type(1):before { content: "PR Number"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(2):before { content: "PR Trigger"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(3):before { content: "PR Date"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(4):before { content: "PR Assignee"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(5):before { content: "Status"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(6):before { content: "Latest Comment"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(7):before { content: "Actions"; }

    table#tblRelatedSalesOrders td:nth-of-type(1):before { content: "Order Number"; }
    table#tblRelatedSalesOrders td:nth-of-type(2):before { content: "Order Date"; }
    table#tblRelatedSalesOrders td:nth-of-type(3):before { content: "Line #"; }
    table#tblRelatedSalesOrders td:nth-of-type(4):before { content: "Sch. Delivery Date"; }
    table#tblRelatedSalesOrders td:nth-of-type(5):before { content: "Sch. Delivery Qty"; }
    table#tblRelatedSalesOrders td:nth-of-type(6):before { content: "Sell Price"; }
    table#tblRelatedSalesOrders td:nth-of-type(7):before { content: "UOM"; }
    table#tblRelatedSalesOrders td:nth-of-type(8):before { content: "Cost on this PO"; }
    table#tblRelatedSalesOrders td:nth-of-type(9):before { content: "PO UOM"; }
    table#tblRelatedSalesOrders td:nth-of-type(10):before { content: "Actions"; }

    table#tblPOSqs td:nth-of-type(1):before { content: "Product Code"; }
    table#tblPOSqs td:nth-of-type(2):before { content: "Rfq ID"; }
    table#tblPOSqs td:nth-of-type(3):before { content: "Vendor"; }
    table#tblPOSqs td:nth-of-type(4):before { content: "Pricing"; }
    table#tblPOSqs td:nth-of-type(5):before { content: "NQ?"; }
    table#tblPOSqs td:nth-of-type(6):before { content: "Attachments"; }
    table#tblPOSqs td:nth-of-type(7):before { content: "Notes"; }
    table#tblPOSqs td:nth-of-type(8):before { content: "Internal Notes"; }
    table#tblPOSqs td:nth-of-type(9):before { content: "Created"; }
    table#tblPOSqs td:nth-of-type(10):before { content: "Actions"; }

    table#tblVmiContracts td:nth-of-type(1):before { content: "Customer"; }
    table#tblVmiContracts td:nth-of-type(2):before { content: "Alt Code"; }
    table#tblVmiContracts td:nth-of-type(3):before { content: "Unit Price"; }
    table#tblVmiContracts td:nth-of-type(4):before { content: "Pricing Method"; }
    
    
    
    /* mobile view table */
    /* https://codepen.io/team/css-tricks/pen/wXgJww?editors=1100 */
    /* table.mobile-view{
        min-width: unset!important;
    }
    table.mobile-view,table.mobile-view thead,table.mobile-view tbody,table.mobile-view th,table.mobile-view td,table.mobile-view tr { 
		display: block; 
	}
	
	
	table.mobile-view thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.mobile-view tr { border: 1px solid #ccc; }
    
	table.mobile-view td { 
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
        padding-left: 50%; 
        text-align: right;
        
	}
	
	table.mobile-view td:before { 
		position: absolute;
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
        white-space: nowrap;
        text-align: left;
	}
    
	table#tblOrdDetails td:nth-of-type(1):before { content: "Line"; }
	table#tblOrdDetails td:nth-of-type(2):before { content: "Order"; }
	table#tblOrdDetails td:nth-of-type(3):before { content: "Shipped"; }
	table#tblOrdDetails td:nth-of-type(4):before { content: "B/O"; }
	table#tblOrdDetails td:nth-of-type(5):before { content: "UOM"; }
	table#tblOrdDetails td:nth-of-type(6):before { content: "Product"; }
	table#tblOrdDetails td:nth-of-type(7):before { content: "Description"; }
	table#tblOrdDetails td:nth-of-type(8):before { content: "Price"; }
    table#tblOrdDetails td:nth-of-type(9):before { content: "Line Total"; }
    
    table#tblOrdInv td:nth-of-type(1):before { content: "Invoice #"; }
    table#tblOrdInv td:nth-of-type(2):before { content: "Date"; }
    table#tblOrdInv td:nth-of-type(3):before { content: "Due Date"; }
    table#tblOrdInv td:nth-of-type(4):before { content: "Amount"; }

    table#tblViOpenPO td:nth-of-type(1):before { content: "PO#"; }
    table#tblViOpenPO td:nth-of-type(2):before { content: "Date Ordered"; }
    table#tblViOpenPO td:nth-of-type(3):before { content: "Date Received"; }
    table#tblViOpenPO td:nth-of-type(4):before { content: "Vendor SO#"; }
    table#tblViOpenPO td:nth-of-type(5):before { content: "Salesperson"; }
    table#tblViOpenPO td:nth-of-type(6):before { content: "Status"; }
    table#tblViOpenPO td:nth-of-type(7):before { content: "Final Message"; }

    table#tblViReceivedPO td:nth-of-type(1):before { content: "PO#"; }
    table#tblViReceivedPO td:nth-of-type(2):before { content: "Date Ordered"; }
    table#tblViReceivedPO td:nth-of-type(3):before { content: "Date Received"; }
    table#tblViReceivedPO td:nth-of-type(4):before { content: "Vendor SO#"; }
    table#tblViReceivedPO td:nth-of-type(5):before { content: "Salesperson"; }
    table#tblViReceivedPO td:nth-of-type(6):before { content: "Status"; }
    table#tblViReceivedPO td:nth-of-type(7):before { content: "Final Message"; }

    table#tblContact td:nth-of-type(1):before { content: "Name"; }
    table#tblContact td:nth-of-type(2):before { content: "Title"; }
    table#tblContact td:nth-of-type(3):before { content: "Email"; }
    table#tblContact td:nth-of-type(4):before { content: "Phone"; }

    table#tblBrands td:nth-of-type(1):before { content: "Manufacturer"; }
    table#tblBrands td:nth-of-type(2):before { content: "Authorized"; }
    table#tblBrands td:nth-of-type(3):before { content: "Stocking"; }
    table#tblBrands td:nth-of-type(4):before { content: "Notes"; }
    table#tblBrands td:nth-of-type(5):before { content: "Action"; }

    table.mobile-view tr.empty td:nth-of-type(1):before { content: ""!important; }
    table.mobile-view tr.empty td{text-align: center;}

    table.mobile-view tr.total td:nth-of-type(1){display: none;}
    table.mobile-view tr.total td:nth-of-type(1):before { content: ""!important; }
    table.mobile-view tr.total td:nth-of-type(2):before { content: "Total"!important; }

    table#tblSnoozed td:nth-of-type(1):before { content: ""; }
    table#tblSnoozed td:nth-of-type(2):before { content: "Part No."; }
    table#tblSnoozed td:nth-of-type(3):before { content: "Description"; }
    table#tblSnoozed td:nth-of-type(4):before { content: "Available"; }
    table#tblSnoozed td:nth-of-type(5):before { content: "On Hand"; }
    table#tblSnoozed td:nth-of-type(6):before { content: "OH Qty"; }
    table#tblSnoozed td:nth-of-type(7):before { content: "YTD Usg"; }
    table#tblSnoozed td:nth-of-type(8):before { content: "OH (EAU)"; }
    table#tblSnoozed td:nth-of-type(9):before { content: "Max Obligation"; }
    table#tblSnoozed td:nth-of-type(10):before { content: "Calc Method"; }
    table#tblSnoozed td:nth-of-type(11):before { content: "Days from ROP"; }
    table#tblSnoozed td:nth-of-type(12):before { content: ""; }

    table#tblTraficCal td:nth-of-type(2){max-width: 300px;padding-left: 100px;}
    table#tblTraficCal td:nth-of-type(1):before { content: "HTS Code"; }
    table#tblTraficCal td:nth-of-type(2):before { content: "Description"; }
    table#tblTraficCal td:nth-of-type(3):before { content: "Total Quantity"; }
    table#tblTraficCal td:nth-of-type(4):before { content: "Total $ Value"; } */

    
}

/* ------------------------------------------------------------ *\
                       Mobile Orientation Landscape
\* ------------------------------------------------------------ */
/* Landscape Tild*/
@media only screen and (min-device-width : 420px) and (max-device-width : 1024px) and (orientation: landscape) {
    #poMobileDrps{
        margin-top:20px;
    }
    .container-login{
        margin-top: 0px;
    }
    .jBox-wrapper {
        max-width: calc(100% - 50px);
        margin-top: 0px!important;
        top: 20px!important;
        bottom: 20px!important;
        margin-left: 0px!important;
        left: 25px!important;
        right:25px!important;
    }
    .jBox-container{
        max-height: calc(100vh - 30px)!important;
        margin: 0 auto!important;
    }
    body.landing_bg .main-div .abso-logo{
        z-index: -1;
    }
    body.login_page .navbar-default .navbar-nav .open .dropdown-menu>li>a{
        color:#000!important;
    }
    .navbar-nav>li>.dropdown-menu{
        left: 0!important;
        max-width: 160px;
    }
    .table-wrapper table,.jBox-container table{
        min-width: 100vh;
        /* min-width: 1100px;
        overflow: auto; */
    }
    body.landing_bg{
        background-size:auto;
    }
    body.login_page .navbar-toggle{
        display: none!important;
    }
    .landing-wd{
        width:100%!important;
    }
    #tabPODetailLines table{
        min-width: 1150px!important;
    }
    .panel-mobile{
        min-width: max-content;
    }
    .jBox-content{
        width:100%!important;
        height:auto!important;
        min-height:auto!important;
        max-height: calc(100vh - 90px);
        overflow-y: auto;
    }
    
    #topTabs{
        max-width: calc(100% - 10px);
        width: calc(100% - 10px)!important;
    }
    #topTabs .topBlock.warehouseSelectBtn.col-xs-4{
        padding-left: 10px!important;
        padding-right: 10px!important;
        width: 33.3%!important;
        clear: unset;
        float: right!important;
    }
    .row.actName{
        margin-top:30px;
    }
    .inventoryReport .col-sm-3,
    .inventoryReport .col-sm-2{
        width:33.3%!important;
    }
    .inventoryReport .row.totalRow .col-sm-6{
        margin-top:unset!important;
    }
    .vmiFilters .col-md-7,.vmiFilters .col-md-2{
        padding-left: 15px!important;
        padding-right: 15px!important;
        margin-bottom: 5px!important;
    }
    .daterange{
        width:100%!important;
    }

    table.mobile-view-po{
        min-width: unset!important;
    }
    table.mobile-view-po,table.mobile-view-po thead,table.mobile-view-po tbody,table.mobile-view-po th,
    table.mobile-view-po td,table.mobile-view-po tr { 
		display: block; 
	}
	
	
	table.mobile-view-po thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	table.mobile-view-po tr { border: 1px solid #ccc; }
    
	table.mobile-view-po td { 
		border: none;
		border-bottom: 1px solid #eee; 
		position: relative;
        padding-left: 50%; 
        text-align: right;
        
	}
	
	table.mobile-view-po td:before { 
		position: absolute;
		top: 6px;
		left: 6px;
		width: 45%; 
		padding-right: 10px; 
        white-space: nowrap;
        text-align: left;
    }
    table.mobile-view-po tr.empty td:nth-of-type(1):before,
    table.mobile-view-po tr.loader td:nth-of-type(1):before { content: ""!important; }
    table.mobile-view-po tr.empty td,table.mobile-view-po tr.loader td{text-align: center;}
    

    table.mobile-view-po tr.total td:nth-of-type(1){display: none;}
    table.mobile-view-po tr.total td:nth-of-type(1):before { content: ""!important; }
    table.mobile-view-po tr.total td:nth-of-type(2):before { content: "Total"!important; }

    table#tblPoDetails td:nth-of-type(1):before { content: "Line"; }
    table#tblPoDetails td:nth-of-type(2):before { content: "Order"; }
    table#tblPoDetails td:nth-of-type(3):before { content: "Shipped"; }
    table#tblPoDetails td:nth-of-type(4):before { content: "B/O"; }
    table#tblPoDetails td:nth-of-type(5):before { content: "Product"; }
    table#tblPoDetails td:nth-of-type(6):before { content: "Vendor Part"; }
    table#tblPoDetails td:nth-of-type(7):before { content: "Description"; }
    table#tblPoDetails td:nth-of-type(8):before { content: "Cost"; }

    table#tblPoDetails td:nth-of-type(7){display:none;}

    table#tblRelatedPurchaseRequests td:nth-of-type(1):before { content: "PR Number"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(2):before { content: "PR Trigger"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(3):before { content: "PR Date"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(4):before { content: "PR Assignee"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(5):before { content: "Status"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(6):before { content: "Latest Comment"; }
    table#tblRelatedPurchaseRequests td:nth-of-type(7):before { content: "Actions"; }

    table#tblRelatedSalesOrders td:nth-of-type(1):before { content: "Order Number"; }
    table#tblRelatedSalesOrders td:nth-of-type(2):before { content: "Order Date"; }
    table#tblRelatedSalesOrders td:nth-of-type(3):before { content: "Line #"; }
    table#tblRelatedSalesOrders td:nth-of-type(4):before { content: "Sch. Delivery Date"; }
    table#tblRelatedSalesOrders td:nth-of-type(5):before { content: "Sch. Delivery Qty"; }
    table#tblRelatedSalesOrders td:nth-of-type(6):before { content: "Sell Price"; }
    table#tblRelatedSalesOrders td:nth-of-type(7):before { content: "UOM"; }
    table#tblRelatedSalesOrders td:nth-of-type(8):before { content: "Cost on this PO"; }
    table#tblRelatedSalesOrders td:nth-of-type(9):before { content: "PO UOM"; }
    table#tblRelatedSalesOrders td:nth-of-type(10):before { content: "Actions"; }

    table#tblPOSqs td:nth-of-type(1):before { content: "Product Code"; }
    table#tblPOSqs td:nth-of-type(2):before { content: "Rfq ID"; }
    table#tblPOSqs td:nth-of-type(3):before { content: "Vendor"; }
    table#tblPOSqs td:nth-of-type(4):before { content: "Pricing"; }
    table#tblPOSqs td:nth-of-type(5):before { content: "NQ?"; }
    table#tblPOSqs td:nth-of-type(6):before { content: "Attachments"; }
    table#tblPOSqs td:nth-of-type(7):before { content: "Notes"; }
    table#tblPOSqs td:nth-of-type(8):before { content: "Internal Notes"; }
    table#tblPOSqs td:nth-of-type(9):before { content: "Created"; }
    table#tblPOSqs td:nth-of-type(10):before { content: "Actions"; }

    table#tblVmiContracts td:nth-of-type(1):before { content: "Customer"; }
    table#tblVmiContracts td:nth-of-type(2):before { content: "Alt Code"; }
    table#tblVmiContracts td:nth-of-type(3):before { content: "Unit Price"; }
    table#tblVmiContracts td:nth-of-type(4):before { content: "Pricing Method"; }

    table#tblconsumptionHistory td:nth-of-type(1):before { content: "Line"; }
    table#tblconsumptionHistory td:nth-of-type(2):before { content: "Product"; }
    table#tblconsumptionHistory td:nth-of-type(3):before { content: "UOM"; }
}



@media (min-width: 768px) {
    .modal-dialog {
      margin: 30px auto;
    }
  }
  @media (min-width: 320px) {
    .modal-sm {
      margin-right: auto;
      margin-left: auto;
    }
  }
  @media (min-width: 620px) {
    .modal-dialog {
      margin-right: auto;
      margin-left: auto;
    }
    .modal-lg {
      margin: 10px auto;
    }
  }
  @media (min-width: 920px) {
    .modal-lg {
      margin-right: auto;
      margin-left: auto;
    }
  }
  /* http://jsfiddle.net/yoshi6jp/BVV5T/embedded/result/ */
